Bug 45804 - editors/openoffice should use USE_JAVA
Summary: editors/openoffice should use USE_JAVA
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-27 16:50 UTC by Ernst de Haan
Modified: 2003-04-29 14:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ernst de Haan freebsd_committer 2002-11-27 16:50:00 UTC
OpenOffice should use USE_JAVA so the JDK to be used can be determined at
runtime. Unless OpenOffice depends on a JDK, ofcourse.

Fix: 

Use something like:

	USE_JAVA=	1.3+

in the Makefile. And use the variables defined in bsd.java.mk instead of
JAVAVM etc.
Comment 1 Ying-Chieh Liao freebsd_committer 2002-11-28 02:11:22 UTC
Responsible Changed
From-To: freebsd-ports->openoffice

over to maintainer
Comment 2 Martin Blapp freebsd_committer 2003-04-29 13:59:00 UTC
State Changed
From-To: open->closed

Hi, this is not possible since we need to know 
exactly which JDK is used. And openoffice-devel 
needs exactly the native JDK1.4.1.